Zum Hauptinhalt springen
POST
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
spend
Create campaign spend item
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/spend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "order": 123,
  "description": "<string>"
}
'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

Body

application/json
amount
number
erforderlich

The monetary value of the spend item.

name
string
erforderlich

The name of the spend item.

order
integer<int32>
erforderlich

The sequence number indicating the order of the spend item.

description
string

A brief description of the spend item.

Antwort

successful operation

amount
number
erforderlich

The monetary value associated with the spend item.

createdAt
integer<int64>
erforderlich

The timestamp indicating when the spend item was created.

id
string
erforderlich

Unique identifier for the spend item.

name
string
erforderlich

The name assigned to the spend item.

order
integer<int32>
erforderlich

The sequence order of the spend item, where 0 is the oldest.

updatedAt
integer<int64>
erforderlich

The timestamp indicating when the spend item was last updated.

description
string

A detailed explanation or notes about the spend item.

Last modified on April 9, 2026